cipher_internal.h File Reference

Cipher wrappers. More...

`#include "config.h"`
`#include "cipher.h"`
Include dependency graph for cipher_internal.h:

Go to the source code of this file.

## Data Structures

struct | mbedtls_cipher_base_t
| Base cipher information. More...
struct | mbedtls_cipher_definition_t

## Variables

const mbedtls_cipher_definition_t | mbedtls_cipher_definitions []
int | mbedtls_cipher_supported []

## Detailed Description

Cipher wrappers.

Author
  Adriaan de Jong dejon.nosp@m.g@fo.nosp@m.x-it..nosp@m.com

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file cipher_internal.h.

## Variable Documentation

const mbedtls_cipher_definition_t mbedtls_cipher_definitions[]

int mbedtls_cipher_supported[]